﻿/* 
  ##Device = All
  ##Screen = General styles for each resolutions
*/
.forms-container article {
    text-align: center;
    font-size: 22px;
    line-height: 26px;
    text-align: center;
    letter-spacing: 0.05em;
}

.forms-container form h3 {
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 26px;
    letter-spacing: 0.05em;
    font-weight: bold;
    margin-bottom: 4rem;
}

.forms-container form .form-group {
    margin-bottom: 2rem;
}

.forms-container form .form-label {
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 25px;
    color: #314257;
}

.forms-container form .form-control[not textarea] {
    background: #F7F7F7;
    border-radius: 4px;
    height: 3rem;
}

.forms-fields .form-group {
    padding: 0.5rem 0rem;
}

.forms-fields .form-group .form-control:focus {
    border-color: #1F3750;
    box-shadow: 0 0 0 0.25rem rgba(31,55,80,.50);
}

.forms-fields .form-group .form-select:focus {
    border-color: #1F3750;
    box-shadow: 0 0 0 0.25rem rgba(31,55,80,.50);
}

.forms-fields .form-group .form-check-label {
    /* display: inline; */
    display: flex;
    align-items: flex-end;
}

    .forms-fields .form-group .form-check-label a {
        text-decoration: none;
        color: #1C69D4;
    }

.forms-fields .form-group .form-check-input {
    transform: scale(1.5);
    margin: 1rem 0.5rem 0rem 0.5rem;
    vertical-align: initial;
    float: left;
}

    .forms-fields .form-group .form-check-input:checked {
        background-color: #1F3750;
        border-color: #1F3750;
    }

    .forms-fields .form-group .form-check-input:focus {
        border-color: #1F3750;
        box-shadow: 0 0 0 0.25rem rgba(31,55,80,.50);
    }

.forms-fields .form-group .forms-button {
    font-size: 18px;
    color: #fff;
    background: #1F3750;
    padding: 13px 20px;
    bottom: 5rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
    margin: 3rem 0rem;
}

    .forms-fields .form-group .forms-button:hover {
        background: #012E40;
        /*box-shadow: 0 4px 16px rgba(49, 138, 172, 1);*/
        transition: all 0.2s ease;
        background-color: var(--light-blue);
    }

.was-validated .form-check-input:valid ~ .form-check-label {
    color: #000 !important;
}

.form-check-input.is-invalid ~ .form-check-label, .was-validated .form-check-input:invalid ~ .form-check-label {
    color: #000 !important;
}

.modal-title {
    color: var(--dark-blue);
    font-size: 28px;
}

.modal-body::-webkit-scrollbar {
    width: 0.3em !important;
}

.modal-body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
}

.modal-body::-webkit-scrollbar-thumb {
    background-color: #1F3750 !important;
    outline: 1px solid #1F3750 !important;
    max-height: 5px !important;
    overflow-y: scroll;
}

.btn_close {
    border: 0px;
    background: transparent;
    color: var(--dark-blue);
}

.image-vehicle {
    width: 80%;
    height: auto;
}

.content-vehicle {
    padding: 0.5rem 0rem;
}

    .content-vehicle:hover .image-vehicle {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }

    .content-vehicle:hover .model-title {
        border-bottom: 4px solid var(--dark-blue);
    }

.content-vehicle {
    overflow: hidden;
}

textarea {
    resize: none;
}

/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/
@media (min-width: 1281px) {
    /* CSS */
    .forms-container {
        padding: 3rem 20rem;
    }

        .forms-container form {
            padding: 3rem 2rem;
        }
}

/* 
  ##Device = Laptops, Desktops
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {

    /* CSS */
    .forms-container {
        padding: 3rem 10rem;
    }

        .forms-container form {
            padding: 3rem 10rem;
        }
}

/* 
  ##Device = Tablets, Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {

    /* CSS */
    .forms-container {
        padding: 2rem 5rem;
    }

        .forms-container form {
            padding: 2rem 1rem;
        }
}

}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {

    /* CSS */
    .forms-container {
        padding: 2rem 10rem;
    }

        .forms-container form {
            padding: 2rem 1rem;
        }
}

}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {

    /* CSS */
    .forms-container {
        padding: 2rem 10rem;
    }

        .forms-container form {
            padding: 2rem 1rem;
        }
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {

    /* CSS */
    .forms-container {
        padding: 1rem 1rem;
    }

        .forms-container form {
            padding: 1rem 1rem;
        }

    .model-title {
        font-size: 14px;
    }
}
